<?php


namespace OTP\Objects;

interface MoITemplate
{
    public function build($Su, $HO, $Kl, $c2, $DF);
    public function parse($Su, $Kl, $c2, $DF);
    public function getDefaults($As);
    public function showPreview();
    public function savePopup();
    public static function instance();
    public function getTemplateKey();
    public function getTemplateEditorId();
}
